> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Link Token

> Creates a temporary link token that is required to initiate the `react-trackstar-link` component.
See the [Getting Started guide](/how-to-guides/getting-started) for more details.



## OpenAPI

````yaml post /link/token
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /link/token:
    post:
      tags:
        - Auth
      summary: Create Link Token
      description: >-
        Creates a temporary link token that is required to initiate the
        `react-trackstar-link` component.

        See the [Getting Started guide](/how-to-guides/getting-started) for more
        details.
      operationId: post_POST__link_token
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkTokenInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkTokenResponseSchema'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    LinkTokenInputSchema:
      type: object
      properties:
        connection_id:
          type: string
          description: >-
            An optional existing connection ID. If provided, the connection is
            reinstalled instead of a new connection being created.
          example: existing_connection_id
      additionalProperties: false
      title: LinkTokenInputSchema
    LinkTokenResponseSchema:
      type: object
      properties:
        link_token:
          type: string
          description: >-
            The link token that is required to initiate the
            `react-trackstar-link` component.
          example: your_link_token
      required:
        - link_token
      additionalProperties: false
      title: LinkTokenResponseSchema
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError

````